summaryrefslogtreecommitdiffstats
path: root/audio/lingot/mksrctarball.sh
diff options
context:
space:
mode:
Diffstat (limited to 'audio/lingot/mksrctarball.sh')
-rw-r--r--audio/lingot/mksrctarball.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/audio/lingot/mksrctarball.sh b/audio/lingot/mksrctarball.sh
new file mode 100644
index 0000000000..9364d2bb84
--- /dev/null
+++ b/audio/lingot/mksrctarball.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# Create a source tarball from the lingot CVS repository.
+# The result will be /tmp/lingot-$VERSION.tar.xz
+
+REV=${1:-20091225}
+
+TMP=${TMP:-/tmp}
+WORKDIR=$TMP/tarball.$$.$RANDOM
+
+set -e
+
+rm -rf $WORKDIR
+mkdir -p $WORKDIR
+cd $WORKDIR
+
+cvs \
+ -d:pserver:anonymous@cvs.savannah.nongnu.org:/sources/lingot \
+ export \
+ -D "$REV" \
+ lingot
+
+mv lingot lingot-$REV
+tar cvfJ $TMP/lingot-$REV.tar.xz lingot-$REV
+md5sum $TMP/lingot-$REV.tar.xz
+cd $TMP
+rm -rf $WORKDIR